﻿Imports GrapeCity.Windows.SpreadSheet.Data
Imports GrapeCity.Windows.SpreadSheet.UI

Partial Public Class MainPage
    Inherits UserControl

    Public Sub New()
        InitializeComponent()
    End Sub
    Dim vifbool As Boolean = False

    Private Sub UserControl_Loaded(sender As System.Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        Dim r As GrapeCity.Windows.SpreadSheet.Data.CellRange
        r = New GrapeCity.Windows.SpreadSheet.Data.CellRange(0, 0, 3, 3)
        GcSpreadSheet1.Sheets(0).AddSpanCell(r, GrapeCity.Windows.SpreadSheet.Data.SheetArea.Cells)

        GcSpreadSheet1.ActiveSheet.Cells(0, 0).Value = "Drag split box"
    End Sub

    Private Sub GcSpreadSheet1_MouseLeftButtonDown(sender As Object, e As System.Windows.Input.MouseButtonEventArgs) Handles GcSpreadSheet1.MouseLeftButtonDown
        Dim info As HitTestInformation = GcSpreadSheet1.HitTest(e.GetPosition(GcSpreadSheet1).X, e.GetPosition(GcSpreadSheet1).Y)
        If info.HitTestType = HitTestType.ColumnSplitBox Then
            vifbool = True
        End If
        If info.HitTestType = HitTestType.RowSplitBox Then
            vifbool = True
        End If

    End Sub

    Private Sub GcSpreadSheet1_MouseLeftButtonUp(sender As Object, e As System.Windows.Input.MouseButtonEventArgs) Handles GcSpreadSheet1.MouseLeftButtonUp
        If vifbool = True Then
            Dim vif As ViewportInfo = GcSpreadSheet1.ActiveSheet.GetViewportInfo()
            If vif.ColumnViewportCount > 3 Then
                For i As Integer = 2 To vif.ColumnViewportCount
                    ' remove the viewport here if exceeds the set limit(3)                      
                    GcSpreadSheet1.RemoveColumnViewport(i)
                Next
                MessageBox.Show("You can not create more than 3 Column ViewPorts")
            End If
            If vif.RowViewportCount > 3 Then
                For i As Integer = 2 To vif.RowViewportCount
                    ' remove the viewport here if exceeds the set limit(3)                    
                    GcSpreadSheet1.RemoveRowViewport(i)
                Next
                MessageBox.Show("You can not create more than 3 Row ViewPorts")
            End If

            vifbool = False
        End If

    End Sub
End Class